Author Topic: ambiguous overload for 'operator[]' during compilation of Code::Blocks  (Read 10765 times)

Offline jens

  • Administrator
  • Lives here!
  • *****
  • Posts: 7265
    • Jens' unofficial debian-repository for the Code::Blocks - IDE
Re: ambiguous overload for 'operator[]' during compilation of Code::Blocks
« Reply #15 on: December 01, 2010, 09:29:35 pm »
I have to correct me:
wxWidgets is installe below /usr/lib64 in centos and in fedora14.

wx-config is a softlink to /usr/lib64/wx/config/gtk2-unicode-release-2.8 or /usr/lib/wx/config/gtk2-unicode-release-2.8 or any other configuration, so if you change the link, it should work without that hack.

On fedora it's a wrapper-script, that can be called with the --arch argument to force an arch, without the argument the result of uname -m is used.

Maybe update-alternatives exists for centos (as it does for fedora and debian/ubuntu), to configure /usr/bin/wx-config the "right" way (it does not exist or is not installed on my system).

Offline KirkD

  • Multiple posting newcomer
  • *
  • Posts: 77
Re: ambiguous overload for 'operator[]' during compilation of Code::Blocks
« Reply #16 on: December 01, 2010, 09:33:42 pm »
Whew! 

That makes more sense now.  At least we're seeing the same type of thing.

Yes, the hack was driving me crazy.  8^(  I've successfully built Code::Blocks on two CentOS 5.5 systems this afternoon with the modified installation of only x86_64 wx libraries.

Thank you for all your help and the discussion.  It seems there is always more to learn in LINUX, eh?

-Kirk